package ru.myitschool.work.domain.info;

import androidx.annotation.NonNull;

import java.util.function.Consumer;

import ru.myitschool.work.data.dto.EmployeeDataDto;
import ru.myitschool.work.domain.entities.Status;

public class InfoUseCase {
    private final InfoRepository repository;

    public InfoUseCase(InfoRepository repository) {
        this.repository = repository;
    }

    public void execute(@NonNull String login, @NonNull Consumer<Status<EmployeeDataDto>> callback) {
        repository.info(login, callback);
    }
}
